Apache JMeter

## org.apache.jmeter.testelement
Interface TestElementTraverser

    public interface TestElementTraverser

For traversing Test Elements, which contain property that can be other test elements, strings, collections, maps, objects

Version:
  $Revision: 674365 $

Method Summary
`void` `endProperty(JMeterProperty key)` Notification that a property is ending.
`void` `endTestElement(TestElement el)` Notification that the test element is now done.
`void` `startProperty(JMeterProperty key)` Notification that a property is starting.
`void` `startTestElement(TestElement el)` Notification that a new test element is about to be traversed.

Method Detail

### startTestElement

    void startTestElement(TestElement el)

  Notification that a new test element is about to be traversed.

  Parameters:
    `el` -

### endTestElement

    void endTestElement(TestElement el)

  Notification that the test element is now done.

  Parameters:
    `el` -

### startProperty

    void startProperty(JMeterProperty key)

  Notification that a property is starting. This could be a test element property or a Map property - depends on the context.

  Parameters:
    `key` -

### endProperty

    void endProperty(JMeterProperty key)

  Notification that a property is ending. Again, this could be a test element or a Map property, dependig on the context.

  Parameters:
    `key` -

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.